org.apache.ivy.core.resolve

## Class ResolvedModuleRevision

- java.lang.Object
- - org.apache.ivy.core.resolve.ResolvedModuleRevision

    public class ResolvedModuleRevision
    extends java.lang.Object

Represents a module revision provisioned on the local filesystem.

### Constructor Summary

Constructors
Constructor and Description
`ResolvedModuleRevision(DependencyResolver resolver, DependencyResolver artifactResolver, ModuleDescriptor descriptor, MetadataArtifactDownloadReport report)`
`ResolvedModuleRevision(DependencyResolver resolver, DependencyResolver artifactResolver, ModuleDescriptor descriptor, MetadataArtifactDownloadReport report, boolean force)`

### Method Summary

Methods
`boolean` `equals(java.lang.Object obj)`
`DependencyResolver` `getArtifactResolver()` The resolver to use to download artifacts
`ModuleDescriptor` `getDescriptor()` Returns the descriptor of the resolved module.
`ModuleRevisionId` `getId()` Returns the identifier of the resolved module.
`java.util.Date` `getPublicationDate()` Returns the date of publication of the resolved module.
`MetadataArtifactDownloadReport` `getReport()` Returns a report of the resolved module metadata artifact provisioning.
`DependencyResolver` `getResolver()` The resolver which resolved this ResolvedModuleRevision
`int` `hashCode()`
`boolean` `isForce()` Returns `true` if this resolved module revision should be forced as the one being returned.
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ResolvedModuleRevision

    public ResolvedModuleRevision(DependencyResolver resolver,
                          DependencyResolver artifactResolver,
                          ModuleDescriptor descriptor,
                          MetadataArtifactDownloadReport report)

#### ResolvedModuleRevision

    public ResolvedModuleRevision(DependencyResolver resolver,
                          DependencyResolver artifactResolver,
                          ModuleDescriptor descriptor,
                          MetadataArtifactDownloadReport report,
                          boolean force)

### Method Detail

#### getId

    public ModuleRevisionId getId()

Returns the identifier of the resolved module.

Returns:
  the identifier of the resolved module.

#### getPublicationDate

    public java.util.Date getPublicationDate()

Returns the date of publication of the resolved module.

Returns:
  the date of publication of the resolved module.

#### getDescriptor

    public ModuleDescriptor getDescriptor()

Returns the descriptor of the resolved module.

Returns:
  the descriptor of the resolved module.

#### getResolver

    public DependencyResolver getResolver()

The resolver which resolved this ResolvedModuleRevision

Returns:
  The resolver which resolved this ResolvedModuleRevision

#### getArtifactResolver

    public DependencyResolver getArtifactResolver()

The resolver to use to download artifacts

Returns:
  The resolver to use to download artifacts

#### getReport

    public MetadataArtifactDownloadReport getReport()

Returns a report of the resolved module metadata artifact provisioning.

Returns:
  a report of the resolved module metadata artifact provisioning.

#### isForce

    public boolean isForce()

Returns `true` if this resolved module revision should be forced as the one being returned.

This is used as an indication for CompositeResolver, to know if they should continue to look for a better ResolvedModuleRevision if possible, or stop with this instance.

Returns:
  `true` if this resolved module revision should be forced as the one being returned.

#### equals

    public boolean equals(java.lang.Object obj)

Overrides:
  `equals` in class `java.lang.Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`